This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1285127 - [abrt] gnome-calendar: icaltimezone_compare_change_fn(): gnome-calendar killed by SIGSEGV
[abrt] gnome-calendar: icaltimezone_compare_change_fn(): gnome-calendar kille...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: gnome-calendar (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Igor Gnatenko
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:f825e7b5476a8f01d2cae235953...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-24 19:04 EST by Ben Liblit
Modified: 2016-09-14 04:08 EDT (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-09-14 04:08:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (177.23 KB, text/plain)
2015-11-24 19:04 EST, Ben Liblit
no flags Details
File: cgroup (191 bytes, text/plain)
2015-11-24 19:04 EST, Ben Liblit
no flags Details
File: core_backtrace (133.88 KB, text/plain)
2015-11-24 19:04 EST, Ben Liblit
no flags Details
File: dso_list (17.70 KB, text/plain)
2015-11-24 19:05 EST, Ben Liblit
no flags Details
File: environ (861 bytes, text/plain)
2015-11-24 19:05 EST, Ben Liblit
no flags Details
File: exploitable (82 bytes, text/plain)
2015-11-24 19:05 EST, Ben Liblit
no flags Details
File: limits (1.29 KB, text/plain)
2015-11-24 19:05 EST, Ben Liblit
no flags Details
File: maps (86.94 KB, text/plain)
2015-11-24 19:05 EST, Ben Liblit
no flags Details
File: mountinfo (3.75 KB, text/plain)
2015-11-24 19:05 EST, Ben Liblit
no flags Details
File: namespaces (85 bytes, text/plain)
2015-11-24 19:05 EST, Ben Liblit
no flags Details
File: open_fds (3.48 KB, text/plain)
2015-11-24 19:05 EST, Ben Liblit
no flags Details
File: proc_pid_status (1.01 KB, text/plain)
2015-11-24 19:05 EST, Ben Liblit
no flags Details

  None (edit)
Description Ben Liblit 2015-11-24 19:04:48 EST
Version-Release number of selected component:
gnome-calendar-3.18.1-1.fc23

Additional info:
reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        /usr/bin/gnome-calendar --gapplication-service
crash_function: icaltimezone_compare_change_fn
executable:     /usr/bin/gnome-calendar
global_pid:     17065
kernel:         4.2.6-300.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            29364

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 icaltimezone_compare_change_fn at /usr/src/debug/libical-1.0.1/src/libical/icaltimezone.c:756
 #1 icaltimezone_find_nearby_change at /usr/src/debug/libical-1.0.1/src/libical/icaltimezone.c:1101
 #2 icaltimezone_get_utc_offset at /usr/src/debug/libical-1.0.1/src/libical/icaltimezone.c:868
 #3 icaltimezone_convert_time at /usr/src/debug/libical-1.0.1/src/libical/icaltimezone.c:807
 #4 icaltime_as_timet_with_zone at /usr/src/debug/libical-1.0.1/src/libical/icaltime.c:323
 #5 e_cal_recur_generate_instances_of_rule at e-cal-recur.c:765
 #6 e_cal_recur_generate_instances at e-cal-recur.c:640
 #7 generate_instances at e-cal-client.c:2670
 #8 e_cal_client_generate_instances_for_object_sync at e-cal-client.c:3327
 #9 cal_data_model_expand_recurrences_thread at e-cal-data-model.c:1148

Potential duplicate: bug 1239291
Comment 1 Ben Liblit 2015-11-24 19:04:54 EST
Created attachment 1098452 [details]
File: backtrace
Comment 2 Ben Liblit 2015-11-24 19:04:55 EST
Created attachment 1098453 [details]
File: cgroup
Comment 3 Ben Liblit 2015-11-24 19:04:59 EST
Created attachment 1098454 [details]
File: core_backtrace
Comment 4 Ben Liblit 2015-11-24 19:05:00 EST
Created attachment 1098455 [details]
File: dso_list
Comment 5 Ben Liblit 2015-11-24 19:05:02 EST
Created attachment 1098456 [details]
File: environ
Comment 6 Ben Liblit 2015-11-24 19:05:03 EST
Created attachment 1098457 [details]
File: exploitable
Comment 7 Ben Liblit 2015-11-24 19:05:05 EST
Created attachment 1098458 [details]
File: limits
Comment 8 Ben Liblit 2015-11-24 19:05:08 EST
Created attachment 1098459 [details]
File: maps
Comment 9 Ben Liblit 2015-11-24 19:05:09 EST
Created attachment 1098460 [details]
File: mountinfo
Comment 10 Ben Liblit 2015-11-24 19:05:11 EST
Created attachment 1098461 [details]
File: namespaces
Comment 11 Ben Liblit 2015-11-24 19:05:13 EST
Created attachment 1098462 [details]
File: open_fds
Comment 12 Ben Liblit 2015-11-24 19:05:14 EST
Created attachment 1098463 [details]
File: proc_pid_status
Comment 13 Igor Gnatenko 2016-09-14 04:08:30 EDT
I hope this has been resolved already, if not - please reopen bug.

Note You need to log in before you can comment on or make changes to this bug.